version: "3.8"
services:
  syncthing:
    image: lscr.io/linuxserver/syncthing:latest
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=America/New_York  
    volumes:
      - syncthing_config:/config
      # Data - The NFS Share
      - /mnt/synology-data:/data/nas
    ports:
      # Sync Protocol (Listening for other devices)
      - target: 22000
        published: 22000
        protocol: tcp
        mode: host
      - target: 22000
        published: 22000
        protocol: udp
        mode: host
      # Discovery (Optional, helpful for local LAN discovery)
      - target: 21027
        published: 21027
        protocol: udp
        mode: host
volumes:
  syncthing_config:
networks:
  default:
    external:
      name: dokploy-network
